#include <string.h>
#include "deftype.h"

void mids(str,n,size,token)
/* strのnバイト目からsizeバイトをtokenとして切り出す */
unchar *str,*token;
int n,size; /* nは0から数える */
{
int i;
unchar c;
	if (n>=0 && n<strlen(str)) {
		for(i=0;i<size;i++) {
			c=str[i+n];
			if (c==0) break; /* strの終わりまで行った */
			token[i]=c;
		}
	}
	token[i]=0;
}
